use crate::{gui::MutexTIMManager, MainWindow, display_information};
use super::MainTab;

pub fn on_move_vram_image() -> impl FnMut(&mut MainTab, &MainWindow, i32, i32, i32) + 'static {
    return move |main_tab, _main_window, idx, dx, dy| {
        main_tab.move_vram_image(idx as usize, dx, dy);
    }
}

pub fn on_remove_file(tim_manager: MutexTIMManager) -> impl FnMut(&mut MainTab, &MainWindow, i32) + 'static {
    return move |main_tab, _main_window, idx| {
        if idx >= 0 {
            match main_tab.remove_vram_file(idx as usize) {
                Ok(range)  => tim_manager.lock().expect("VRAM already locked").remove_added_tim(range),
                Err(error) => display_information("Removing VRAM file", error)
            }
        }
    }
}